From: =?utf-8?b?T25kxZllaiBTdXLDvQ==?= <ondrej@sury.org>
Date: Sat, 10 Dec 2022 21:13:57 +0100
Subject: Fix MultiArch support

---
 decimal-1.5.0/config.m4 | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/decimal-1.5.0/config.m4 b/decimal-1.5.0/config.m4
index 9208a6c..aeeeb19 100644
--- a/decimal-1.5.0/config.m4
+++ b/decimal-1.5.0/config.m4
@@ -6,7 +6,7 @@ PHP_ARG_WITH(libmpdec-path, for libmpdec custom path,
 
 if test "$PHP_DECIMAL" != "no"; then
 
-    MACHINE_INCLUDES=$($CC -dumpmachine)
+    MACHINE_INCLUDES=$(dpkg-architecture -qDEB_HOST_MULTIARCH)
     AC_MSG_CHECKING([for libmpdec library in default path])
     for i in $PHP_LIBMPDEC_PATH /usr /usr/local; do
       if test -r $i/$PHP_LIBDIR/libmpdec.$SHLIB_SUFFIX_NAME || test -r $i/$PHP_LIBDIR/libmpdec.a; then
